@Library("mylib") _ 

def mydemo = new org.devops.demo()
def myemail = new org.devops.email()

pipeline {
    agent any

    options {
        skipDefaultCheckout true
    }


    stages{
        stage("run"){
            steps{
                script{
                    // define data
                    users = [
                            ["id": 1, "name": "jenkins1"],
                            ["id": 2, "name": "jenkins2"],
                            ["id": 3, "name": "jenkins3"],
                    ]

                    // use  sharedlibrary function
                    id = 1
                    name = mydemo.GetUserNameByID(id,users)
                    println(name)

                    userid = mydemo.GetUserIDByName("jenkins1",users)
                    println(userid)

                    // use resource config
                    data = libraryResource 'config/data.json'
                    println(data)

                    nowdate = sh returnStdout: true, script: 'date'
                    println(nowdate - "\n")

                    sh "ls -l "  //run shell 
                    sh """    
                    ls -l
                    ls -l 
                    ls -l
                    """ // run shells

                }
            }
        }
    }

    post {
        always{
            script{
                myemail.SendEmail("jenkins@admin.com")
            }
        }
    }
}
